I just woke up and noticed updates pending, so i perform them as usual.
(sudo apt upgrade; sudo apt update)
But the update of grub-efi-amd64-signed (1.142.3+2.04-1ubuntu26.1) gave errors:
No idea what to do next, and this time im really happy that i'm using Systemd-boot instead of grub...
Changes list for: grub-efi-amd64-signed_1.142.3+2.04-1ubuntu26.1_amd64.deb
I'm at moment trying to debug this mess by extracting the .deb.
I'm now at "/usr/lib/grub/grub-multi-install" L#252+ and will check that later have to go out for RL...
Stuck at why this script bugs: (Anyone any idea how to fix this?)
Maybe i better follow this post to get rid of grub...
Oh crap, wtf does shim-signed depend on grub-efi-amd64-signed instead of the other way around !
Anyone any idea how to fix this also?
Where do we file bug-reports in ubuntu packages?
This crap makes me want to FLY away from *ubuntu to another distro, because now im unable to update ANY packages due to this bug... :mad:
Aliases i used:
(sudo apt upgrade; sudo apt update)
But the update of grub-efi-amd64-signed (1.142.3+2.04-1ubuntu26.1) gave errors:
Code:
> _ apt-get -f install Reading package lists... Done Building dependency tree Reading state information... Done 0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded. 1 not fully installed or removed. After this operation, 0 B of additional disk space will be used. Setting up grub-efi-amd64-signed (1.142.3+2.04-1ubuntu26.1) ... [B]Trying to migrate /boot/efi into esp config[/B] dpkg: error processing package grub-efi-amd64-signed (--configure): installed grub-efi-amd64-signed package post-installation script subprocess returned error exit status 1 Errors were encountered while processing: grub-efi-amd64-signed E: Sub-process /usr/bin/dpkg returned an error code (1)
Code:
> _ dpkg --audit grub-efi-amd64-signed The following packages are only half configured, probably due to problems configuring them the first time. The configuration should be retried using dpkg --configure <package> or the configure menu option in dselect: grub-efi-amd64-signed GRand Unified Bootloader, version 2 (EFI-AMD64 version,
Code:
> _ dpkg --configure grub-efi-amd64-signed Setting up grub-efi-amd64-signed (1.142.3+2.04-1ubuntu26.1) ... [B]Trying to migrate /boot/efi into esp config[/B] dpkg: error processing package grub-efi-amd64-signed (--configure): installed grub-efi-amd64-signed package post-installation script subprocess returned error exit status 1 Errors were encountered while processing: grub-efi-amd64-signed
Changes list for: grub-efi-amd64-signed_1.142.3+2.04-1ubuntu26.1_amd64.deb
Code:
grub2-signed (1.142.3) focal; urgency=medium * Rebuild against grub2 2.04-1ubuntu26.1. -- Dimitri John Ledkov <xnox@ubuntu.com> Tue, 21 Jul 2020 10:45:52 +0100 </cut rest>
Code:
> dpkg-deb --ctrl-tarfile /var/cache/apt/archives/grub-efi-amd64-signed_1.142.3+2.04-1ubuntu26.1_amd64.deb | tar --get --to-stdout ./postinst | xc #! /bin/sh set -e config_item () { if [ -f /etc/default/grub ]; then . /etc/default/grub || return for x in /etc/default/grub.d/*.cfg; do if [ -e "$x" ]; then . "$x" fi done fi eval echo "\$$1" } case $1 in configure) target=x86_64-efi # Check /boot/grub to see if we previously installed to an ESP. We don't # want to trigger the install code just by installing the package, # normally the installer installs grub itself first. if test -e /boot/grub/$target/core.efi; then /usr/share/grub/grub-check-signatures /usr/lib/grub/grub-multi-install --target=$target fi ;; esac exit 0
Code:
> dpkg-query -S /usr/lib/grub/grub-multi-install grub-common: /usr/lib/grub/grub-multi-install
Stuck at why this script bugs: (Anyone any idea how to fix this?)
Code:
> _ /usr/lib/grub/grub-multi-install --target=x86_64-efi; echo $? [B]Trying to migrate /boot/efi into esp config[/B] 1
Oh crap, wtf does shim-signed depend on grub-efi-amd64-signed instead of the other way around !
Code:
> apt-cache depends shim-signed | xc shim-signed |Depends: debconf Depends: <debconf-2.0> cdebconf debconf Depends: shim [B]|Depends: grub-efi-amd64-signed[/B] Depends: <grub-efi-arm64-signed> Depends: grub2-common Depends: mokutil Depends: sbsigntool Recommends: secureboot-db
Where do we file bug-reports in ubuntu packages?
This crap makes me want to FLY away from *ubuntu to another distro, because now im unable to update ANY packages due to this bug... :mad:
Aliases i used:
- _=sudo
- xc='xclip -selection clipboard'
Comment